View Issue Details

IDProjectCategoryView StatusLast Update
00035653 - Current Dev ListBugpublic2019-11-18 03:55
ReporterWA9PIEAssigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.247 
Summary0003565: Log data upload to QRZ.COM fails with error
DescriptionWhen attempting to upload QSOs from Logbook to QRZ.COM, the upload fails with an error message.
Steps To Reproduce- Launch Rig Control (any radio or Demomatic is fine)
- Launch Logbook
- Configure QRZ.COM as a 3rd party logging program by going to - Tools > Configure > QRZ.COM
(QRZ.com account required with an API key for logging); click "OK" to save
- Select some QSOs in the log to upload to QRZ.com
- Attempt an upload by going to the Logbook tear-off > File > QRZ > Upload

BUG: Upload fails; Error message on upload action that says:
"STATUS=FAILE&REASON=QRZ Internal Error: Unable to add QSO to database.&EXTENDED=add_qso: outside date range
Tags6.7 defects
ModuleLogbook
Sub-ModuleInterfacing
Testing Alpha Successful

Relationships

has duplicate 0003593 resolved 1 - Backlog QRZ.com Upload Fails with Date Range Error 

Activities

WA9PIE

2019-11-09 06:11

administrator  

QRZ-UploadError.png (51,010 bytes)
QRZ-UploadError.png (51,010 bytes)

WA9PIE

2019-11-11 15:32

administrator   ~0009265

Retested and confirmed with 6.7.0.245.

g3ucq

2019-11-12 03:44

updater   ~0009276

I confirm the problem with 6.7.0.245

DOUG

2019-11-13 22:51

developer   ~0009302

back when we were cleaning up warnings, it got re-coded wrong. fix checked in, will be in build later tonight.

DOUG

2019-11-14 00:29

developer   ~0009305

in the build just posted

WA9PIE

2019-11-14 02:52

administrator   ~0009310

The bug is corrected in the 6.7.0.247 beta. Leaving this open for comments.

(That said, the dialog box finishes with the "OK" grey'd out and a "Close" button. Strange.

PD9FER

2019-11-14 13:46

updater   ~0009319

confirming the Fix in 247

WA9PIE

2019-11-16 16:47

administrator   ~0009335

Validated in 6.7.0.247 alpha

Issue History

Date Modified Username Field Change
2019-11-09 06:11 WA9PIE New Issue
2019-11-09 06:11 WA9PIE Tag Attached: 6.7 defects
2019-11-09 06:11 WA9PIE File Added: QRZ-UploadError.png
2019-11-09 17:21 WA9PIE Status new => assigned
2019-11-09 17:21 WA9PIE Assigned To => K7ZCZ
2019-11-11 15:32 WA9PIE Note Added: 0009265
2019-11-12 03:44 g3ucq Note Added: 0009276
2019-11-13 22:51 DOUG Assigned To K7ZCZ => DOUG
2019-11-13 22:51 DOUG Note Added: 0009302
2019-11-14 00:29 DOUG Assigned To DOUG => WA9PIE
2019-11-14 00:29 DOUG Status assigned => resolved
2019-11-14 00:29 DOUG Resolution open => fixed
2019-11-14 00:29 DOUG Note Added: 0009305
2019-11-14 02:52 WA9PIE Fixed in Version => 6.7.0.247
2019-11-14 02:52 WA9PIE Steps to Reproduce Updated View Revisions
2019-11-14 02:52 WA9PIE Testing Not Started => Beta Successful
2019-11-14 02:52 WA9PIE Note Added: 0009310
2019-11-14 13:46 PD9FER Note Added: 0009319
2019-11-16 16:47 WA9PIE Status resolved => closed
2019-11-16 16:47 WA9PIE Testing Beta Successful => Alpha Successful
2019-11-16 16:47 WA9PIE Note Added: 0009335
2019-11-18 03:55 PD9FER Relationship added has duplicate 0003593